<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>N-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="N-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="../examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation"><span class="typeNameLink">NewAggregationMain</span></a> - Class in <a href="../examples/newaggregation/package-summary.html">examples.newaggregation</a></dt>
<dd>
<div class="block">Main class to test new aggregation added via addAggregation method.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newaggregation/NewAggregationMain.html#NewAggregationMain--">NewAggregationMain()</a></span> - Constructor for class examples.newaggregation.<a href="../examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation">NewAggregationMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation"><span class="typeNameLink">NewFilterAggregation</span></a> - Class in <a href="../examples/newaggregation/package-summary.html">examples.newaggregation</a></dt>
<dd>
<div class="block">Represents the ES filter aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newaggregation/NewFilterAggregation.html#NewFilterAggregation--">NewFilterAggregation()</a></span> - Constructor for class examples.newaggregation.<a href="../examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation">NewFilterAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newquery/NewQueryMain.html" title="class in examples.newquery"><span class="typeNameLink">NewQueryMain</span></a> - Class in <a href="../examples/newquery/package-summary.html">examples.newquery</a></dt>
<dd>
<div class="block">Main class to test new query added via addQuery method.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newquery/NewQueryMain.html#NewQueryMain--">NewQueryMain()</a></span> - Constructor for class examples.newquery.<a href="../examples/newquery/NewQueryMain.html" title="class in examples.newquery">NewQueryMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate"><span class="typeNameLink">NewTemplateMain</span></a> - Class in <a href="../examples/newtemplate/package-summary.html">examples.newtemplate</a></dt>
<dd>
<div class="block">Main class to test new template added via addTemplate method.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newtemplate/NewTemplateMain.html#NewTemplateMain--">NewTemplateMain()</a></span> - Constructor for class examples.newtemplate.<a href="../examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate">NewTemplateMain</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
